libximc: motor_settings_t Struct Reference

libximc 3.0.2

Data Fields
motor_settings_t Struct Reference

Deprecated. More...

`#include <ximc.h>`

## Data Fields
unsigned int | MotorType
| Motor Type flags.
unsigned int | ReservedField
| Reserved
unsigned int | Poles
| Number of pole pairs for DC or BLDC motors or number of steps per rotation for stepper motors.
unsigned int | Phases
| Number of phases for BLDC motors.
float | NominalVoltage
| Nominal voltage on winding (B).
float | NominalCurrent
| Maximum direct current in winding for DC and BLDC engines, nominal current in windings for stepper motors (A).
float | NominalSpeed
| Not used.
float | NominalTorque
| Nominal torque (mN * m).
float | NominalPower
| Nominal power (W).
float | WindingResistance
| Resistance of windings for DC engines, of each of two windings for stepper motors, or of each of three windings for BLDC engines (Ohm).
float | WindingInductance
| Inductance of windings for DC engines, inductance of each of two windings for stepper motors, or inductance of each of three windings for BLDC engines (mH).
float | RotorInertia
| Rotor inertia (g * cm2).
float | StallTorque
| Torque hold position for a stepper motor or torque at a motionless rotor for other types of engines (mN * m).
float | DetentTorque
| Holding torque position with unpowered windings (mN * m).
float | TorqueConstant
| Torque constant that determines the proportionality constant between the maximum rotor torque and current flowing in the winding (mN * m / A).
float | SpeedConstant
| Velocity constant, which determines the value or the amplitude of the induced voltage on the motion of DC or BLDC motors (rpm / V) or stepper motors (steps/s / V).
float | SpeedTorqueGradient
| Speed torque gradient (rpm / mN * m).
float | MechanicalTimeConstant
| Mechanical time constant (ms).
float | MaxSpeed
| The maximum speed for stepper motors (steps/s) or DC and BLDC motors (rmp).
float | MaxCurrent
| The maximum current in the winding (A).
float | MaxCurrentTime
| Safe duration of overcurrent in the winding (ms).
float | NoLoadCurrent
| The current consumption in idle mode (A).
float | NoLoadSpeed
| Idle speed (rpm).

## Detailed Description

Deprecated.

Physical characteristics and limitations of the motor.

See also
  set_motor_settings
  get_motor_settings
  get_motor_settings, set_motor_settings

## Field Documentation

## ◆ DetentTorque

float DetentTorque

Holding torque position with unpowered windings (mN * m).

Data type: float.

## ◆ MaxCurrent

float MaxCurrent

The maximum current in the winding (A).

Data type: float.

## ◆ MaxCurrentTime

float MaxCurrentTime

Safe duration of overcurrent in the winding (ms).

Data type: float.

## ◆ MaxSpeed

float MaxSpeed

The maximum speed for stepper motors (steps/s) or DC and BLDC motors (rmp).

Data type: float.

## ◆ MechanicalTimeConstant

float MechanicalTimeConstant

Mechanical time constant (ms).

Data type: float.

## ◆ MotorType

unsigned int MotorType

Motor Type flags.

## ◆ NoLoadCurrent

float NoLoadCurrent

The current consumption in idle mode (A).

Used for DC and BLDC motors. Data type: float.

## ◆ NoLoadSpeed

float NoLoadSpeed

Idle speed (rpm).

Used for DC and BLDC motors. Data type: float.

## ◆ NominalCurrent

float NominalCurrent

Maximum direct current in winding for DC and BLDC engines, nominal current in windings for stepper motors (A).

Data type: float.

## ◆ NominalPower

float NominalPower

Nominal power (W).

Used for DC and BLDC engines. Data type: float.

## ◆ NominalSpeed

float NominalSpeed

Not used.

Nominal speed (rpm). Used for DC and BLDC engines. Data type: float.

## ◆ NominalTorque

float NominalTorque

Nominal torque (mN * m).

Used for DC and BLDC engines. Data type: float.

## ◆ NominalVoltage

float NominalVoltage

Nominal voltage on winding (B).

Data type: float

## ◆ Phases

unsigned int Phases

Number of phases for BLDC motors.

## ◆ Poles

unsigned int Poles

Number of pole pairs for DC or BLDC motors or number of steps per rotation for stepper motors.

## ◆ RotorInertia

float RotorInertia

Rotor inertia (g * cm2).

Data type: float.

## ◆ SpeedConstant

float SpeedConstant

Velocity constant, which determines the value or the amplitude of the induced voltage on the motion of DC or BLDC motors (rpm / V) or stepper motors (steps/s / V).

Data type: float.

## ◆ SpeedTorqueGradient

float SpeedTorqueGradient

Speed torque gradient (rpm / mN * m).

Data type: float.

## ◆ StallTorque

float StallTorque

Torque hold position for a stepper motor or torque at a motionless rotor for other types of engines (mN * m).

Data type: float.

## ◆ TorqueConstant

float TorqueConstant

Torque constant that determines the proportionality constant between the maximum rotor torque and current flowing in the winding (mN * m / A).

Used mainly for DC motors. Data type: float.

## ◆ WindingInductance

float WindingInductance

Inductance of windings for DC engines, inductance of each of two windings for stepper motors, or inductance of each of three windings for BLDC engines (mH).

Data type: float.

## ◆ WindingResistance

float WindingResistance

Resistance of windings for DC engines, of each of two windings for stepper motors, or of each of three windings for BLDC engines (Ohm).

Data type: float.